Anonymous Login
2019-06-24 06:43 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000937v3.0 Release[All Projects] Generalpublic2013-08-28 11:25
Reportersimonnzg 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0000937: User Select list shows blank entries and wrong users
DescriptionMmmm. I upgraded to 2.4 from 2.3.1 just now and find that the pull-down "Owner" select list in Projects, Companies, Search, and probably elsewhere, now doesn't seem to corrolate with the "user_id".

For instance, a Company entry has "Keith" (User 9) recorded as the Owner, but the pull-down list says "Jo" (Who is an ex-user, having been deleted some months ago), Keith being absent from the list altogether. The pull-down list is showing blanks in the owner list and some existing as well as deleted users. It's almost as if the pull-down list isn't directly selecting users by their record number, but by some other parameter from some other table?
Selecting projects owned by "Jo" brings up a list of projects owned by "Keith".
I can access the old and new systems as they're both using the same database and an entry on one apears on the other so they're using the same database.

The code to create the pull-down list is identical in both versions, so maybe it's in $user_list ??
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002170

caseydk (administrator)


I'm not seeing the same in my Companies or Projects modules.. can anyone else reproduce this one?

~0002172

simonnzg (reporter)

Just tried it on another machine, same database, but a few weeks older. Same result. The common factor is the database, but it seems to work fine under 2.3.1.
I suppose the question is: where do users go when they're deleted???

Simon

~0002173

simonnzg (reporter)

OK. I think I know a bit more now. The "Owner" names being listed in the pull down list are the contents of the Contact's "Display Name" field and not as I would have expected and the previous behaviour: the User ID as defined in the User Admin area. Hence the several blanks (and the swapped names in one case).
Some of my staff are not represented too well in the Contacts list, having not got Display Names set. One had another staff member's name in his Display Name box, which caused the strange name swapping in the pull-down list. I know there's some integration between users and contacts, but I wasn't expecting to see "Display Names" being used as "Owner" in that menu. Is that a bug, a change in behaviour or was it always supposed to do that and it never did until now?

~0002174

simonnzg (reporter)

Yep. That's it. The "Owner" is now the "Display Name" and not the "User ID".
I'm assuming that's intentional? If so, close this one.

My Contacts List has been updated to have the correct names for the users and if the users want to call themselves something silly in the "Display Name" field, then it shows up everywhere. That could be interesting. I don't suppose you could introduce some duplicate checking? I don't want people changing each other's display names for fun, or all calling themselves "Big Boy" or something.
Maybe having the official User Name that the Admin defines is a better idea after all... ??

~0002188

caseydk (administrator)

I've tweaked the cron to automatically clean these up. You should be able to apply this patch independently of any other changes.

Resolved in r2037, Patch: https://github.com/caseysoftware/web2project/commit/1b99592d389a6698f96be4c1bc549e86e8fee728
+Notes

-Issue History
Date Modified Username Field Change
2011-08-26 09:23 simonnzg New Issue
2011-08-28 20:24 caseydk Status new => assigned
2011-08-28 20:24 caseydk Assigned To => caseydk
2011-08-28 20:44 caseydk Note Added: 0002170
2011-08-28 20:44 caseydk Status assigned => feedback
2011-08-29 10:41 simonnzg Note Added: 0002172
2011-08-29 12:08 simonnzg Note Added: 0002173
2011-08-29 12:21 simonnzg Note Added: 0002174
2011-09-04 22:34 caseydk Project v2.4 Release (Closed) => v3.0 Release
2011-09-04 22:36 caseydk Note Added: 0002188
2011-09-04 22:36 caseydk Status feedback => resolved
2011-09-04 22:36 caseydk Resolution open => fixed
2013-08-28 11:13 caseydk Fixed in Version => 3.0.0
2013-08-28 11:25 caseydk Status resolved => closed
+Issue History